
Redmine - Defect #20397

project:someproject wiki syntax should link to project with identifier "someproject', not name.

2015-07-23 12:29 - Paweł Hikiert

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Current code tries to match identifier OR name, which can lead to 'mislinks', as described in the first post of this thread: How to get

project's numeric id?

I have several projects on Redmine, let's say one of them has identifier "some-identifier-1" and name "project", and the other

has identifier "project" and name "project".

I'd like to link to project page (not wiki page!) of project with identifier "project"

[...]

Linking to project:project links to project with identifier "some-identifier-1", because my Redmine (2.4.2.stable from Ubuntu

12.04) code tries to match identifier OR name, and that's the first project it finds.

 I propose this patch to take only project's identifier into account when creating wiki links.

Related issues:

Related to Redmine - Defect #30256: Cannot make cross-project wiki link if th... Closed

History

#1 - 2015-08-17 18:42 - Toshi MARUYAMA

- Tracker changed from Patch to Defect

- Category set to Text formatting

- Target version set to 3.2.0

#2 - 2015-08-17 18:45 - Toshi MARUYAMA

- Target version deleted (3.2.0)

#3 - 2016-03-17 20:24 - Jean Louis

+1 I have also bug with name, I prefer also to use textual identifier, we don't have access to the numeric id

#4 - 2016-11-02 18:50 - Sergey Gribnyak

+1

#5 - 2017-10-12 10:33 - Shahaf Ben Ari

Folks, are there any updates?

#6 - 2018-12-21 00:41 - Go MAEDA

- Related to Defect #30256: Cannot make cross-project wiki link if the project name includes square brackets added

Files

wiki_project_link-trunk_r14445.patch 1.9 KB 2015-07-23 Paweł Hikiert
